<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('codigo');
	$cmbCategorias = DataForms::POST('cmbCategorias');
	$txtNombre = DataForms::POST('txtNombre');
	$txtCantidad = DataForms::POST('txtCantidad');
	$txtPrecio = DataForms::POST('txtPrecio');
	$txtDetalles = DataForms::POST('txtDetalles').'&nbsp;';

	if(trim($cmbCategorias)==''){	
		MostrarMensaje("Debe seleccionar una Categoría");
		exit();
	} 
	if(trim($txtNombre)==''){	
		MostrarMensaje("Ingrese Nombre del Producto");
		exit();
	} 	
	if(trim($txtCantidad)==''){	
		MostrarMensaje("Ingrese Cantidad");
		exit();
	} 	
	if(trim($txtPrecio)==''){	
		MostrarMensaje("Ingrese Precio ");
		exit();
	} 	
		
$sql = "INSERT INTO ventas_productos(	
	prod_codigo,categ_codigo,
	prod_nombre,prod_detalles,
	prod_cantidad,prod_precioreal,
	prod_preciounitario,prod_preciodescuento
)VALUES(
	'$codigo', '$cmbCategorias', 
	'$txtNombre', '$txtDetalles', 
	'$txtCantidad', '0', 
	'$txtPrecio', '0'
);";
$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'productos/listado";</script>';

//funciones
function MostrarMensaje($Mensaje){
	$sms="<script>swal({
		title: '".AppName."',
			 html: '".$Mensaje."!!!',
			 confirmButtonClass: 'btn bg-dark',
			 confirmButtonText: 'ACEPTAR',
		timer: 3500
  }).then();</script>";

  echo $sms;
}
?>